#include <qtabwidget.h>
#include <qpushbutton.h>

#include "tab_general.h"
#include "tab_monitoring.h"
#include "dvr_control.h"

DVRControl::DVRControl() : UIDVRControl() {
}

DVRControl::~DVRControl() {
}

void DVRControl::startRecording() {
  qpb_start->setEnabled(false);
  qpb_stop->setEnabled(true);
  dvr.setFileName(tab_general->fileName());
  dvr.start();
  tab_monitoring->start(tab_general->fileName());
  tw_configuration->setCurrentPage(4);
}

void DVRControl::stopRecording() {
  dvr.stop();
  tab_monitoring->stop();
  qpb_start->setEnabled(true);
  qpb_stop->setEnabled(false);
}
