#include<qapp.h>
#include <qtranslator.h>
#include <qtextcodec.h> 

#include "dvr_control.h"

int main(int argc, char **argv) {
	
	QApplication a(argc,argv);
	QTranslator translator(0);
	translator.load(QString("dvr_")+QTextCodec::locale(), "/usr/share/dvr-"DVR_VERSION"/translations");
	a.installTranslator(&translator);
  
	DVRControl dvr_control;
	a.setMainWidget(&dvr_control);
	dvr_control.show();
	a.exec();

	return 0;
}
