#ifndef TAB_MONITORING
#define TAB_MONITORING

#include "ui_tab_monitoring.h"

class TabMonitoring : public UITabMonitoring {
  protected:
    QString filename;
    bool end;
    pthread_t thread_monitor;

  public:
    TabMonitoring(QWidget *parent=0, const char *name=0);
    ~TabMonitoring();
    
    void start(const QString &filename);
    void stop();
    int cpuLoad();

    static void *run(void *data);
};

#endif
