#ifndef DVR_H
#define DVR_H

#include <gst/gst.h>

class DVR {
  protected:
    char *filename;

    bool started;
    bool ended;
    pthread_t thread_gst;

    GMainContext *context;
    GMainLoop *loop;
    
  public:
    DVR();
    ~DVR();

    void setFileName(const char *filename);
    bool start();
    bool stop();
    bool isStarted();
    bool isEnded();

    static void *run(void *data);
};

#endif
