#include <qlineedit.h>
#include <qfiledialog.h>
#include "tab_general.h"

TabGeneral::TabGeneral(QWidget *parent, const char *name) : UITabGeneral(parent, name) {}

TabGeneral::~TabGeneral() {}

QString TabGeneral::fileName() {
  return qle_filename->text();
}

void TabGeneral::browseFile() {
  QString filename=QFileDialog::getSaveFileName(qle_filename->text(), "avi file (*.avi)", this);
  if(!filename.isNull()) {
    qle_filename->setText(filename);
  }
}

